org.apache.maven.plugins.shade.filter

## Class SimpleFilter

- java.lang.Object
- - org.apache.maven.plugins.shade.filter.SimpleFilter

All Implemented Interfaces:
  Filter

    public class SimpleFilter
    extends Object
    implements Filter

Author:
  David Blevins

### Constructor Summary

Constructors
Constructor and Description
`SimpleFilter(Set<File> jars, Set<String> includes, Set<String> excludes)`

### Method Summary

Methods
`boolean` `canFilter(File jar)`
`void` `finished()`
`boolean` `isFiltered(String classFile)`
`boolean` `isSpecificallyIncluded(String classFile)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleFilter

    public SimpleFilter(Set<File> jars,
                Set<String> includes,
                Set<String> excludes)

### Method Detail

#### canFilter

    public boolean canFilter(File jar)

Specified by:
  `canFilter` in interface `Filter`

#### isFiltered

    public boolean isFiltered(String classFile)

Specified by:
  `isFiltered` in interface `Filter`

#### isSpecificallyIncluded

    public boolean isSpecificallyIncluded(String classFile)

#### finished

    public void finished()

Specified by:
  `finished` in interface `Filter`